      ******************************************************************
      **                                                              **
      **                  WebSphere MQ for Windows                    **
      **                                                              **
      **  FILE NAME:      CMQPSV                                      **
      **                                                              **
      **  DESCRIPTION:    Constants for Publish/Subscribe             **
      **                                                              **
      ******************************************************************
      **  <START_COPYRIGHT>                                           **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  5724-B41                                                    **
      **  (C) Copyright IBM Corp. 1998, 2002 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  <END_COPYRIGHT>                                             **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the named constants for  **
      **                  publish/subscribe.                          **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************
 
      ******************************************************************
      **  Publish/Subscribe Tags                                      **
      ******************************************************************
 
      **   Tags as strings
        10 MQPS-COMMAND                PIC X(11) VALUE 'MQPSCommand'.
        10 MQPS-COMP-CODE              PIC X(12) VALUE 'MQPSCompCode'.
        10 MQPS-CORREL-ID              PIC X(12) VALUE 'MQPSCorrelId'.
        10 MQPS-DELETE-OPTIONS         PIC X(11) VALUE 'MQPSDelOpts'.
        10 MQPS-ERROR-ID               PIC X(11) VALUE 'MQPSErrorId'.
        10 MQPS-ERROR-POS              PIC X(12) VALUE 'MQPSErrorPos'.
        10 MQPS-INTEGER-DATA           PIC X(11) VALUE 'MQPSIntData'.
        10 MQPS-PARAMETER-ID           PIC X(10) VALUE 'MQPSParmId'.
        10 MQPS-PUBLICATION-OPTIONS    PIC X(11) VALUE 'MQPSPubOpts'.
        10 MQPS-PUBLISH-TIMESTAMP      PIC X(11) VALUE 'MQPSPubTime'.
        10 MQPS-Q-MGR-NAME             PIC X(12) VALUE 'MQPSQMgrName'.
        10 MQPS-Q-NAME                 PIC X(9)  VALUE 'MQPSQName'.
        10 MQPS-REASON                 PIC X(10) VALUE 'MQPSReason'.
        10 MQPS-REASON-TEXT            PIC X(14) VALUE 'MQPSReasonText'.
        10 MQPS-REGISTRATION-OPTIONS   PIC X(11) VALUE 'MQPSRegOpts'.
        10 MQPS-SEQUENCE-NUMBER        PIC X(10) VALUE 'MQPSSeqNum'.
        10 MQPS-STREAM-NAME            PIC X(14) VALUE 'MQPSStreamName'.
        10 MQPS-STRING-DATA            PIC X(14) VALUE 'MQPSStringData'.
        10 MQPS-SUBSCRIPTION-IDENTITY  PIC X(15) VALUE
                                                      'MQPSSubIdentity'.
        10 MQPS-SUBSCRIPTION-NAME      PIC X(11) VALUE 'MQPSSubName'.
        10 MQPS-SUBSCRIPTION-USER-DATA PIC X(15) VALUE
                                                      'MQPSSubUserData'.
        10 MQPS-TOPIC                  PIC X(9)  VALUE 'MQPSTopic'.
        10 MQPS-USER-ID                PIC X(10) VALUE 'MQPSUserId'.
 
      **   Tags as blank-enclosed strings
        10 MQPS-COMMAND-B                PIC X(13) VALUE
                                                        ' MQPSCommand '.
        10 MQPS-COMP-CODE-B              PIC X(14) VALUE
                                                       ' MQPSCompCode '.
        10 MQPS-CORREL-ID-B              PIC X(14) VALUE
                                                       ' MQPSCorrelId '.
        10 MQPS-DELETE-OPTIONS-B         PIC X(13) VALUE
                                                        ' MQPSDelOpts '.
        10 MQPS-ERROR-ID-B               PIC X(13) VALUE
                                                        ' MQPSErrorId '.
        10 MQPS-ERROR-POS-B              PIC X(14) VALUE
                                                       ' MQPSErrorPos '.
        10 MQPS-INTEGER-DATA-B           PIC X(13) VALUE
                                                        ' MQPSIntData '.
        10 MQPS-PARAMETER-ID-B           PIC X(12) VALUE ' MQPSParmId '.
        10 MQPS-PUBLICATION-OPTIONS-B    PIC X(13) VALUE
                                                        ' MQPSPubOpts '.
        10 MQPS-PUBLISH-TIMESTAMP-B      PIC X(13) VALUE
                                                        ' MQPSPubTime '.
        10 MQPS-Q-MGR-NAME-B             PIC X(14) VALUE
                                                       ' MQPSQMgrName '.
        10 MQPS-Q-NAME-B                 PIC X(11) VALUE ' MQPSQName '.
        10 MQPS-REASON-B                 PIC X(12) VALUE ' MQPSReason '.
        10 MQPS-REASON-TEXT-B            PIC X(16) VALUE
                                                     ' MQPSReasonText '.
        10 MQPS-REGISTRATION-OPTIONS-B   PIC X(13) VALUE
                                                        ' MQPSRegOpts '.
        10 MQPS-SEQUENCE-NUMBER-B        PIC X(12) VALUE ' MQPSSeqNum '.
        10 MQPS-STREAM-NAME-B            PIC X(16) VALUE
                                                     ' MQPSStreamName '.
        10 MQPS-STRING-DATA-B            PIC X(16) VALUE
                                                     ' MQPSStringData '.
        10 MQPS-SUBSCRIPTION-IDENTITY-B  PIC X(17) VALUE
                                                    ' MQPSSubIdentity '.
        10 MQPS-SUBSCRIPTION-NAME-B      PIC X(13) VALUE
                                                        ' MQPSSubName '.
        10 MQPS-SUBSCRIPTION-USER-DATA-B PIC X(17) VALUE
                                                    ' MQPSSubUserData '.
        10 MQPS-TOPIC-B                  PIC X(11) VALUE ' MQPSTopic '.
        10 MQPS-USER-ID-B                PIC X(12) VALUE ' MQPSUserId '.
 
 
      ******************************************************************
      **  Values for MQPS-COMMAND Tag                                 **
      ******************************************************************
 
      **   Values as strings
        10 MQPS-DELETE-PUBLICATION    PIC X(9) VALUE 'DeletePub'.
        10 MQPS-DEREGISTER-PUBLISHER  PIC X(8) VALUE 'DeregPub'.
        10 MQPS-DEREGISTER-SUBSCRIBER PIC X(8) VALUE 'DeregSub'.
        10 MQPS-PUBLISH               PIC X(7) VALUE 'Publish'.
        10 MQPS-REGISTER-PUBLISHER    PIC X(6) VALUE 'RegPub'.
        10 MQPS-REGISTER-SUBSCRIBER   PIC X(6) VALUE 'RegSub'.
        10 MQPS-REQUEST-UPDATE        PIC X(9) VALUE 'ReqUpdate'.
 
      **   Values as blank-enclosed strings
        10 MQPS-DELETE-PUBLICATION-B    PIC X(11) VALUE ' DeletePub '.
        10 MQPS-DEREGISTER-PUBLISHER-B  PIC X(10) VALUE ' DeregPub '.
        10 MQPS-DEREGISTER-SUBSCRIBER-B PIC X(10) VALUE ' DeregSub '.
        10 MQPS-PUBLISH-B               PIC X(9)  VALUE ' Publish '.
        10 MQPS-REGISTER-PUBLISHER-B    PIC X(8)  VALUE ' RegPub '.
        10 MQPS-REGISTER-SUBSCRIBER-B   PIC X(8)  VALUE ' RegSub '.
        10 MQPS-REQUEST-UPDATE-B        PIC X(11) VALUE ' ReqUpdate '.
 
 
      ******************************************************************
      **  Values for following tags:                                  **
      **    MQPS-DELETE-OPTIONS                                       **
      **    MQPS-PUBLICATION-OPTIONS                                  **
      **    MQPS-REGISTRATION-OPTIONS                                 **
      ******************************************************************
 
      **   Values as strings
        10 MQPS-ADD-NAME                PIC X(7)  VALUE 'AddName'.
        10 MQPS-ANONYMOUS               PIC X(4)  VALUE 'Anon'.
        10 MQPS-CORREL-ID-AS-IDENTITY   PIC X(10) VALUE 'CorrelAsId'.
        10 MQPS-DEREGISTER-ALL          PIC X(8)  VALUE 'DeregAll'.
        10 MQPS-DIRECT-REQUESTS         PIC X(9)  VALUE 'DirectReq'.
        10 MQPS-DUPLICATES-OK           PIC X(6)  VALUE 'DupsOK'.
        10 MQPS-FULL-RESPONSE           PIC X(8)  VALUE 'FullResp'.
        10 MQPS-INCLUDE-STREAM-NAME     PIC X(14) VALUE
                                                       'InclStreamName'.
        10 MQPS-INFORM-IF-RETAINED      PIC X(11) VALUE 'InformIfRet'.
        10 MQPS-IS-RETAINED-PUBLICATION PIC X(13) VALUE 'IsRetainedPub'.
        10 MQPS-JOIN-EXCLUSIVE          PIC X(8)  VALUE 'JoinExcl'.
        10 MQPS-JOIN-SHARED             PIC X(10) VALUE 'JoinShared'.
        10 MQPS-LEAVE-ONLY              PIC X(9)  VALUE 'LeaveOnly'.
        10 MQPS-LOCAL                   PIC X(5)  VALUE 'Local'.
        10 MQPS-LOCKED                  PIC X(6)  VALUE 'Locked'.
        10 MQPS-NEW-PUBLICATIONS-ONLY   PIC X(11) VALUE 'NewPubsOnly'.
        10 MQPS-NO-ALTERATION           PIC X(7)  VALUE 'NoAlter'.
        10 MQPS-NO-REGISTRATION         PIC X(5)  VALUE 'NoReg'.
        10 MQPS-NON-PERSISTENT          PIC X(7)  VALUE 'NonPers'.
        10 MQPS-NONE                    PIC X(4)  VALUE 'None'.
        10 MQPS-OTHER-SUBSCRIBERS-ONLY  PIC X(13) VALUE 'OtherSubsOnly'.
        10 MQPS-PERSISTENT              PIC X(4)  VALUE 'Pers'.
        10 MQPS-PERSISTENT-AS-PUBLISH   PIC X(9)  VALUE 'PersAsPub'.
        10 MQPS-PERSISTENT-AS-Q         PIC X(11) VALUE 'PersAsQueue'.
        10 MQPS-PUBLISH-ON-REQUEST-ONLY PIC X(12) VALUE 'PubOnReqOnly'.
        10 MQPS-RETAIN-PUBLICATION      PIC X(9)  VALUE 'RetainPub'.
        10 MQPS-VARIABLE-USER-ID        PIC X(14) VALUE
                                                       'VariableUserId'.
 
      **   Values as blank-enclosed strings
        10 MQPS-ADD-NAME-B                PIC X(9)  VALUE ' AddName '.
        10 MQPS-ANONYMOUS-B               PIC X(6)  VALUE ' Anon '.
        10 MQPS-CORREL-ID-AS-IDENTITY-B   PIC X(12) VALUE
                                                         ' CorrelAsId '.
        10 MQPS-DEREGISTER-ALL-B          PIC X(10) VALUE ' DeregAll '.
        10 MQPS-DIRECT-REQUESTS-B         PIC X(11) VALUE ' DirectReq '.
        10 MQPS-DUPLICATES-OK-B           PIC X(8)  VALUE ' DupsOK '.
        10 MQPS-FULL-RESPONSE-B           PIC X(10) VALUE ' FullResp '.
        10 MQPS-INCLUDE-STREAM-NAME-B     PIC X(16) VALUE
                                                     ' InclStreamName '.
        10 MQPS-INFORM-IF-RETAINED-B      PIC X(13) VALUE
                                                        ' InformIfRet '.
        10 MQPS-IS-RETAINED-PUBLICATION-B PIC X(15) VALUE
                                                      ' IsRetainedPub '.
        10 MQPS-JOIN-EXCLUSIVE-B          PIC X(10) VALUE ' JoinExcl '.
        10 MQPS-JOIN-SHARED-B             PIC X(12) VALUE
                                                         ' JoinShared '.
        10 MQPS-LEAVE-ONLY-B              PIC X(11) VALUE ' LeaveOnly '.
        10 MQPS-LOCAL-B                   PIC X(7)  VALUE ' Local '.
        10 MQPS-LOCKED-B                  PIC X(8)  VALUE ' Locked '.
        10 MQPS-NEW-PUBLICATIONS-ONLY-B   PIC X(13) VALUE
                                                        ' NewPubsOnly '.
        10 MQPS-NO-ALTERATION-B           PIC X(9)  VALUE ' NoAlter '.
        10 MQPS-NO-REGISTRATION-B         PIC X(7)  VALUE ' NoReg '.
        10 MQPS-NON-PERSISTENT-B          PIC X(9)  VALUE ' NonPers '.
        10 MQPS-NONE-B                    PIC X(6)  VALUE ' None '.
        10 MQPS-OTHER-SUBSCRIBERS-ONLY-B  PIC X(15) VALUE
                                                      ' OtherSubsOnly '.
        10 MQPS-PERSISTENT-B              PIC X(6)  VALUE ' Pers '.
        10 MQPS-PERSISTENT-AS-PUBLISH-B   PIC X(11) VALUE ' PersAsPub '.
        10 MQPS-PERSISTENT-AS-Q-B         PIC X(13) VALUE
                                                        ' PersAsQueue '.
        10 MQPS-PUBLISH-ON-REQUEST-ONLY-B PIC X(14) VALUE
                                                       ' PubOnReqOnly '.
        10 MQPS-RETAIN-PUBLICATION-B      PIC X(11) VALUE ' RetainPub '.
        10 MQPS-VARIABLE-USER-ID-B        PIC X(16) VALUE
                                                     ' VariableUserId '.
 
 
      ******************************************************************
      **  End of CMQPSV                                               **
      ******************************************************************
