/*  @(#) include/imqbin.hpp, imqi, p530, p530-CSD06J 1.8.14.1 02/10/30 11:13:29 */
#ifndef _IMQBIN_HPP_
#define _IMQBIN_HPP_

//  Library:       WebSphere MQ
//  Component:     IMQB (WebSphere MQ C++ Support)
//  Part:          IMQBIN.HPP
//
//  Description:   "ImqBinary" class declaration
//  <START_COPYRIGHT> 
//  Licensed Materials - Property of IBM 
//                   
//  5724-B41         
//  (C) Copyright IBM Corp. 1994, 2002 All Rights Reserved. 
//                   
//  US Government Users Restricted Rights - Use, duplication or 
//  disclosure restricted by GSA ADP Schedule Contract with 
//  IBM Corp.        
//  <END_COPYRIGHT>  

#include <imqitm.hpp> // ImqItem

#define ImqBinary ImqBin

class IMQ_EXPORTCLASS ImqBinary : public ImqItem {
  void * opvoid ;
  size_t ouiLength ;
protected :
  // New methods:
  void clear ( );
public :
  // Overloaded "ImqItem" methods:
  virtual ImqBoolean copyOut ( ImqMsg & );
  virtual ImqBoolean pasteIn ( ImqMsg & );
  // New methods:
  ImqBinary ( );
  ImqBinary ( const ImqBinary & );
  ImqBinary ( const void *, const size_t );
  virtual ~ ImqBinary ( );
  void operator = ( const ImqBinary & );
  ImqBoolean operator == ( const ImqBinary & ) const ;
  ImqBoolean copyOut ( void *, const size_t, const char = 0 );
  size_t dataLength ( ) const { return ouiLength ; }
  ImqBoolean isNull ( ) const ;
  ImqBoolean setDataLength ( const size_t );
  void * dataPointer ( ) const { return opvoid ; }
  ImqBoolean set ( const void *, const size_t );
} ;

#endif
